### Method

# Fwupd Request has_flag

#### Declaration [src]

    gboolean
    fwupd_request_has_flag (
      FwupdRequest* self,
      FwupdRequestFlags flag
    )

#### Description [src]

Finds if the request has a specific flag.

Available since: | 1.8.6

#### Parameters

`flag` | `FwupdRequestFlags`
| The `FwupdRequestFlags`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the flag is set.